// A quick library to get the Adafruit motor shield to run steppers on the Arduino Due
// Send any questions to Constantino: constantino@photocs.net
// http://www.photocs.net

#ifndef _Stepper_h_
#define _Stepper_h_

// Arduino pin names
#define MOTORLATCH 12
#define MOTORCLK 4
#define MOTORENABLE 7
#define MOTORDATA 8

class Stepper
{
  public:
    Stepper(int motor);
	void enable(void);
    void latch_tx(unsigned char coil, unsigned char motor);  
    void stepOne(bool dir, long timeDelay);
};

#endif
